from django.urls import path

from .views import TournamentListView, TournamentCreateView, TournamentDetailView, TournamentUpdateView, \
    TeamDetailView, TeamUpdateView, AddOrganizerView, SolutionsView, SolutionsOrgaListView, SynthesesView, \
    SynthesesOrgaListView, PoolListView, PoolCreateView, PoolDetailView

app_name = "tournament"

urlpatterns = [
    path('list/', TournamentListView.as_view(), name="list"),
    path("add/", TournamentCreateView.as_view(), name="add"),
    path('<int:pk>/', TournamentDetailView.as_view(), name="detail"),
    path('<int:pk>/update/', TournamentUpdateView.as_view(), name="update"),
    path('team/<int:pk>/', TeamDetailView.as_view(), name="team_detail"),
    path('team/<int:pk>/update/', TeamUpdateView.as_view(), name="team_update"),
    path("add-organizer/", AddOrganizerView.as_view(), name="add_organizer"),
    path("solutions/", SolutionsView.as_view(), name="solutions"),
    path("all-solutions/", SolutionsOrgaListView.as_view(), name="all_solutions"),
    path("syntheses/", SynthesesView.as_view(), name="syntheses"),
    path("all_syntheses/", SynthesesOrgaListView.as_view(), name="all_syntheses"),
    path("pools/", PoolListView.as_view(), name="pools"),
    path("pool/add/", PoolCreateView.as_view(), name="create_pool"),
    path("pool/<int:pk>/", PoolDetailView.as_view(), name="pool_detail"),
]
